Summary: Media Center Toolkit
Name: pigment
Version: 0.3.5
Release: 1%{?dist}
License: LGPLv2+
Group: Applications/Multimedia
URL: http://elisa.fluendo.com/
Source: http://elisa.fluendo.com/static/download/pigment/pigment-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: cairo-devel
BuildRequires: libglade2-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: mesa-libGLU-devel
Buildrequires: check
BuildRequires: gtk-doc

%description
Pigment is a toolkit for writing Media Center software.


%package devel
Summary: Development libraries and include files for Pigment
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gtk-doc
# From pigment.pc
Requires: glib2-devel
Requires: gstreamer-devel
# From pigment-gtk.pc
Requires: gtk2-devel

%description devel
Pigment is a toolkit for writing Media Center software.

This package contains the libraries and includes files necessary to develop
applications and plugins using Pigment.


%prep
%setup -q


%build
%configure \
    --enable-gtk-doc \
    --disable-static
# Get rid of the /usr/lib64 RPATH on 64bit (still as of 0.3.4) ...NOT!
# When removed, the "make check" fails.
#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
# Remove all *.la files
find %{buildroot} -name '*.la' -exec rm -f {} \;


%check
%{__make} check


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/*.so.*
%{_libdir}/pigment-0.3/

%files devel
%defattr(-,root,root,-)
%{_includedir}/pigment-0.3/
%{_libdir}/*.so
%{_libdir}/pkgconfig/pigment-0.3.pc
%{_libdir}/pkgconfig/pigment-gtk-0.3.pc
%doc %{_datadir}/gtk-doc/html/pigment/


%changelog
* Tue Mar  4 2008 Matthias Saou <http://freshrpms.net/> 0.3.5-1
- Update to 0.3.5.

* Fri Feb  8 2008 Matthias Saou <http://freshrpms.net/> 0.3.4-1
- Update to 0.3.4.

* Thu Jan 17 2008 Matthias Saou <http://freshrpms.net/> 0.3.3-1
- Update to 0.3.3.
- Remove all of the python stuff, in a separate source tarball now.
- Add new libglade2-devel build requirement.
- Include new pigment-gtk-0.3.pc file.
- Disable static libraries since they are now built by default.
- No longer remove harmless /usr/lib64 rpath, since "make check" fails...
- Re-enable parallel make, it seems to work again.
- Remove +x bit from some sources files installes in the devel package.
- Enable documentation build explicitly, since it's disabled by default.

* Tue Oct  9 2007 Matthias Saou <http://freshrpms.net/> 0.3.2-1
- Update to 0.3.2.
- Re-enable gtk-doc stuff, it works again.

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.3.1-2
- Include r606 patch to fix pigment bug #147 (segfaults with python bits).

* Sat Aug  4 2007 Matthias Saou <http://freshrpms.net/> 0.3.1-1
- Update to 0.3.1.
- Correct License field from "GPL" to "LGPLv2+".
- Disable gtk-doc because it tries to link to libpigment directly, which isn't
  yet available.
- Add new "check" build requirement.

* Mon Apr 16 2007 Matthias Saou <http://freshrpms.net/> 0.1.5-1
- Update to 0.1.5.
- Get rid of the /usr/lib64 RPATH on 64bit.

* Mon Apr 16 2007 Matthias Saou <http://freshrpms.net/> 0.1.4-2
- Update URLs.
- Remove still included *.la files.
- Have devel require gtk-doc for parent directory ownership.

* Wed Feb 21 2007 Matthias Saou <http://freshrpms.net/> 0.1.4-1
- Update to 0.1.4.

* Thu Feb  8 2007 Matthias Saou <http://freshrpms.net/> 0.1.3-1
- Spec file cleanup.

* Thu Feb 01 2007 Loïc Molinari <loic@fluendo.com>
- removed the pygtk2-devel build requirement
- removed the libSDL requirement

* Thu Jan 04 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- fix requires
- fix URL's
- add plugins-base BR
- pull in either pygobject2-devel or pygtk2-devel depending on version

* Thu Nov 09 2006 Loïc Molinari <loic@fluendo.com>
- changed the license

* Thu Nov 09 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- cleaned up
- fixed for 64-bit systems
- get versions from configure.ac

* Wed Nov 08 2006 Loïc Molinari <loic@fluendo.com>
- added the GStreamer video sink plugin

* Thu Oct 31 2006 Christian Schaller <christian@fluendo.com>
- first draft of spec file

